ONVIF::Media::Elements::GetAudioEncoderConfigurationOptionsResponse(3pm)

NAME
ONVIF::Media::Elements::GetAudioEncoderConfigurationOptionsResponse

DESCRIPTION
Perl data type class for the XML Schema defined element GetAudioEncoderConfigurationOptionsResponse from the namespace http://www.onvif.org/ver10/media/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Options

     $element->set_Options($data);
     $element->get_Options();

METHODS

  new
 my $element = ONVIF::Media::Elements::GetAudioEncoderConfigurationOptionsResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   Options =>  { # ONVIF::Media::Types::AudioEncoderConfigurationOptions
     Options =>  { # ONVIF::Media::Types::AudioEncoderConfigurationOption
       Encoding => $some_value, # AudioEncoding
       BitrateList =>  { # ONVIF::Media::Types::IntList
         Items =>  $some_value, # int
       },
       SampleRateList =>  { # ONVIF::Media::Types::IntList
         Items =>  $some_value, # int
       },
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL